AOZ Studio Beta - Bug #828

Get image error Amiga Manifest
09/19/2021 01:52 PM - malcolm harvey

Status: Closed Start date: 09/19/2021
Priority: Normal Due date:

Assignee: AOZ Studio Team % Done: 0%
Category: Estimated time: 0:00 hour
Target version: none

Affected version: 1.0.0 (B10) u16

Description

Using the code below gives...Get Image illegal or error function call , 11-57
This worked fine up until and including Update 15 Beta 8. (Amiga Manifest mode).

six1imagex=245 //Get Inventory Object.....
six1imagey=68
Get Image 2,1,six1imagex,six1imagey To six1imagex+10,siylimagey+10

History

#1 - 09/19/2021 08:11 PM - David Baldwin

Check code, the error is a new thing, caused by a negative height. Your example code has a error - the last var siylimagey SHOULD be six1imagey,

and so is zero, so is generating an illegal height of -57.

#2 - 09/19/2021 09:35 PM - malcolm harvey

- Status changed from New to Closed

malcolm harvey wrote: (This was a miss print in only one section of code, oddly enough it

was correct in all other places. But it seams as dave & phil point out now, the last two parameters

should be ammount to grab x,y or 10,10.

Using the code below gives...Get Image illegal or error function call , 11-57
This worked fine up until and including Update 15 Beta 8. (Amiga Manifest mode).

six1imagex=245 //Get Inventory Object.....

siylimagey=68
Get Image 2,1,six1imagex,siylimagey To six1imagex+10,siylimagey+10

04/09/2024

1/1



http://www.tcpdf.org

